%define current_version 0.14

Summary:	Virtuozzo ReadyKernel CVEs scanner
Name:		readykernel-scan
Version:	%{current_version}
Release:        1%{?dist}
License:	GPLv2+
Group:		System Environment/Base
Url:		http://www.virtuozzo.com/
Source0:	%{name}-%{version}.tar.bz2
BuildArch:	noarch

%description
A tool to check if there are CVEs on your system that can be patched
by Virtuozzo ReadyKernel.

%prep
%setup -q

%build

%install
%make_install

# No internet - no tests
#%check
#python3 ./self-test.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/readykernel-scan

%changelog
* Tue Dec 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 0.14
 - One more version processing fix
 - Fix version processing

* Tue Dec 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 0.13
 - One more adoption for new API
 - Adopt self-test for py3
 - Call self-test during the build

* Tue Dec 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 0.12
 - Adopt readykernel-scan.py for API changes, PSBM-123696
 - linux_distribution is dropped in Py 3.8, be ready

* Mon Feb 03 2020 Denis Silakov <dsilakov@virtuozzo.com> 0.11
 - BE more accurate with string handling

* Wed May 29 2019 Denis Silakov <dsilakov@virtuozzo.com> 0.9
 - Fix copyright
 - Fix Ubuntu processing (#VZP-935)

* Mon May 22 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.8
 - Fix Ubuntu processing (#VZP-935)

* Thu Feb 16 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.7
 - Added basic self-test
 - Add possibility to use distname/kver from env variables
 - Improve output
 - Fix summary dump 

* Wed Feb 15 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.6
 - Added output header, make exit codes to be unique, fit output width to 80
symbols

* Tue Feb 14 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.5
 - Warn about EOM
 - Substitute issues patched by already installed RK patch, if any

* Thu Feb 09 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.3
 - Improve help messages
 - Fix formatting 
 - Added summary option
 - Refactor output, added CVE ID

* Wed Feb 08 2017 Andrey Bondrov <abondrov@virtuozzo.com> - 0.1-1
- Initial package

